package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpPurGenerateInquiryDetailDTO {
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;

   public Long getMaterialId() {
      return this.materialId;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }
}
